Available in Classic
Create a NAS volume instance.
Requests
The following describes the request format for the endpoint. The request format is as follows.
| Method | URI |
|---|---|
| GET | POST | /server/v2/createNasVolumeInstance |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all NAS APIs, see NAS request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
volumeName |
String | Required | NAS volume name
|
volumeSize |
Long | Required | Volume size
|
volumeAllotmentProtocolTypeCode |
String | Required | Volume allocation protocol type code
|
accessControlRuleList.N.serverInstanceNo |
String | Conditional | Number of server instance to set with access control
|
accessControlRuleList.N.customIp |
String | Conditional | Custom IP to set with access control
|
accessControlRuleList.N.writeAccess |
Boolean | Optional | Set writing permissions
|
cifsUserName |
String | Conditional | CIFS username
|
cifsUserPassword |
String | Conditional | CIFS user password
|
nasVolumeDescription |
String | Optional | Description of the volume (bytes)
|
regionNo |
String | Optional | Region code where the NAS volume instance will be created
|
zoneNo |
String | Optional | Zone number where the NAS volume instance will be created
|
isReturnProtection |
Boolean | Optional | Set termination protection
|
isAsync |
Boolean | Optional | Set async
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/createNasVolumeInstance
?volumeName=volume05
&volumeSize=500
&volumeAllotmentProtocolTypeCode=CIFS
&accessControlRuleList.1.serverInstanceNo=23500000
&accessControlRuleList.1.writeAccess=true
&cifsUserName=user******
&cifsUserPassword=*********
&nasVolumeDescription=test
®ionNo=1
&zoneNo=3
&isReturnProtection=false
&isAsync=true' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Responses
The following describes the response format.
Response body
See NasVolumeInstance for the response body.
Response status codes
For information about the HTTP status codes common to all NAS APIs, see NAS response status codes.
Response example
The following is a sample response.
{
"createNasVolumeInstanceResponse": {
"totalRows": 1,
"nasVolumeInstanceList": [
{
"nasVolumeInstanceNo": "23500000",
"nasVolumeInstanceStatus": {
"code": "INIT",
"codeName": "NAS INIT state"
},
"nasVolumeInstanceOperation": {
"code": "CREAT",
"codeName": "NAS CREAT OP"
},
"nasVolumeInstanceStatusName": "creating",
"createDate": "2024-04-08T11:40:50+0900",
"nasVolumeDescription": "test",
"mountInformation": "\\\\10.250.00.00\\n2768364_volume05",
"volumeAllotmentProtocolType": {
"code": "CIFS",
"codeName": "CIFS"
},
"volumeName": "n2768364_volume05",
"volumeTotalSize": 536870912000,
"volumeSize": 536870912000,
"snapshotVolumeConfigurationRatio": 0.0,
"snapshotVolumeSize": 0,
"isSnapshotConfiguration": false,
"isEventConfiguration": false,
"region": {
"regionNo": "1",
"regionCode": "KR",
"regionName": "Korea"
},
"zone": {
"zoneNo": "3",
"zoneName": "KR-2",
"zoneCode": "KR-2",
"zoneDescription": "Pyeongchon zone",
"regionNo": "1"
},
"isReturnProtection": false,
"nasVolumeInstanceCustomIpList": [],
"nasVolumeServerInstanceList": []
}
],
"requestId": "",
"returnCode": "0",
"returnMessage": "success"
}
}